Skip to main content
GET
/
document_schemas
/
{id}
Get a document schema
curl --request GET \
  --url https://api.terminal49.com/v2/document_schemas/{id} \
  --header 'Authorization: <api-key>'
{
  "data": {
    "id": "<string>",
    "type": "document_schema",
    "attributes": {
      "document_type": "<string>",
      "label": "<string>",
      "schema_version": "<string>",
      "full_version": "<string>",
      "current": true,
      "draft": true,
      "active_at": "2023-11-07T05:31:56Z",
      "schema_format": "json_schema",
      "description": "<string>",
      "schema_payload": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "links": {
      "self": "<string>"
    }
  },
  "links": {
    "self": "<string>"
  }
}
Beta Feature - This endpoint is currently in beta. The API is stable, but the schema and behavior may evolve based on feedback.

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Path Parameters

id
string
required

Schema id in full-version format, e.g. commercial_invoice@2026-03-23.

Response

OK

data
Document Schema ยท object